Skip to main content
GET
/
v0
/
user
/
strategies
/
{user_strategy_id}
Get User Strategy
curl --request GET \
  --url https://api.sumvin.com/v0/user/strategies/{user_strategy_id}
{
  "_links": {},
  "user_strategy": {
    "id": "<string>",
    "strategy": {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "type": "<string>",
      "cron": "<string>",
      "base_prompt": "<string>",
      "created_at": 123,
      "event_topic": "<string>",
      "workflow_route": "<string>"
    },
    "connector": {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "icon_url": "<string>",
      "auth_type": "<string>"
    },
    "is_active": true,
    "configuration": {},
    "created_at": 123,
    "event_filter": {}
  }
}

Headers

x-juno-orgid
string | null

Tenant org ID for multi-tenant auth

x-sumvin-token
string | null
x-juno-jwt
string | null

Path Parameters

user_strategy_id
string
required

Response

User strategy retrieved successfully

HAL-style hypermedia links for navigation and available actions.

user_strategy
UserStrategyData · object
required